DROP DATABASE IF EXISTS ecorp;
CREATE DATABASE ecorp;
USE ecorp;

CREATE TABLE department (
    id INT PRIMARY KEY NOT NULL AUTO_INCREMENT,
    name VARCHAR(50) NOT NULL UNIQUE
);

CREATE TABLE employee (
    id INT PRIMARY KEY NOT NULL AUTO_INCREMENT,
    first_name VARCHAR(50) NOT NULL,
    last_name VARCHAR(50) NOT NULL,
    email VARCHAR(255) UNIQUE,
    job INT,
    FOREIGN KEY (job) REFERENCES department(id) ON DELETE SET NULL
);

CREATE TABLE product (
    id INT PRIMARY KEY NOT NULL AUTO_INCREMENT,
    name VARCHAR(50),
    date DATE,
    description TEXT,
    price DECIMAL,
    available BOOLEAN
);